Bug 1466128 - Add a note in the installation guide on how to deploy hosted engine on one of the nodes if the step is missed during host addition
Add a note in the installation guide on how to deploy hosted engine on one o...
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Laura Bailey
RamaKasturi
:
Depends On:
Blocks: Gluster-HC-3
  Show dependency treegraph
 
Reported: 2017-06-29 02:40 EDT by RamaKasturi
Modified: 2017-08-08 00:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching screenshot for active score (195.09 KB, image/png)
2017-08-01 09:44 EDT, RamaKasturi
no flags Details

  None (edit)
Description RamaKasturi 2017-06-29 02:40:49 EDT
Document URL: https://access.redhat.com/documentation/en-us/red_hat_hyperconverged_infrastructure/1.0/html/deploying_red_hat_hyperconverged_infrastructure/configure-gluster-rhv-manager#add_remaining_virtualization_hosts_to_the_hosted_engine

Section Number and Name: 9.3 & ADD REMAINING VIRTUALIZATION HOSTS TO THE HOSTED ENGINE

Describe the issue: sometimes user might forget to deploy hosted-engine on one of the RHHI nodes and not aware of the procedure on how to deploy hosted-engine again on them.

Suggestions for improvement: Add a note in the above mentioned section which reads "If hosted engine is not deployed on one of the RHHI hosts, simply move the host to maintenance, click on 'reinstall' button, select 'Hosted Engine' tab and select 'Deploy'

Additional information:
Comment 2 SATHEESARAN 2017-06-29 03:44:32 EDT
This step should go under 'Trouble-shooting' section and **not** part of the chapter, as this issue may happen because of user not following the documented steps.
Comment 3 RamaKasturi 2017-06-29 05:21:47 EDT
(In reply to SATHEESARAN from comment #2)
> This step should go under 'Trouble-shooting' section and **not** part of the
> chapter, as this issue may happen because of user not following the
> documented steps.

I am not very sure if this has to go under 'Trouble-shooting' section as user / customer would see this section only if there is an issue with the setup or something fails during installation. While adding host if user does not choose hosted-engine deploy host will still be added with out any issues, just that it does not have score. 
So i feel that it would be good to have it in the Adding additional host section as a note so that he can double check things even before proceeding with other steps.
Comment 4 Yaniv Lavi (Dary) 2017-07-06 05:02:35 EDT
You should link to the RHV docs and not duplicate this to the RHHI docs. Please refrain from duplication of procedures. We should avoid a maintenance headache.
Comment 5 RamaKasturi 2017-07-24 02:49:27 EDT
@Laura, can you please look at comment 4 and let me know your thoughts ?
Comment 10 RamaKasturi 2017-08-01 09:44 EDT
Created attachment 1307604 [details]
Attaching screenshot for active score
Comment 12 RamaKasturi 2017-08-04 07:26:01 EDT
Hi Laura,

    I have forwarded you an email where there was a request on documenting this. Subject for the thread is  "What to do when you forget to deploy hosted-engine on one of your RHHI nodes".

Hope this helps !!

Thanks
kasturi
Comment 17 RamaKasturi 2017-08-07 06:45:33 EDT
Laura,

   verified in the link provided in comment 16 and the content looks good to me.

Thanks
kasturi
Comment 19 RamaKasturi 2017-08-08 00:58:25 EDT
Verified in the link provided in comment 18 and the changes looks good to me.

Note You need to log in before you can comment on or make changes to this bug.